%global __requires_exclude libkarma

%define major		0
%define libname		%mklibname karma %major
%define develname	%mklibname karma -d

Summary:	Rio Karma tools
Name:		libkarma
Version:	0.1.2
Release:	%mkrel 12
License:	GPLv2+
Group:		System/Libraries
Url:		http://www.freakysoft.de/html/libkarma/
Source0:	http://www.freakysoft.de/libkarma/libkarma-%{version}.tar.gz
Source2:	http://bobcopeland.com/karma/banshee/preferences.fdi
Source3:	http://bobcopeland.com/karma/banshee/multimedia-player-rio-karma.png
Source4:	karma-sharp.dll.config
BuildRequires:	pkgconfig(mono)
BuildRequires:	pkgconfig(taglib)
BuildRequires:	pkgconfig(libusb)
BuildRequires:	pkgconfig(zlib)
Requires:	%libname >= %version

%description
Rio Karma access library.

%package -n	%libname
Summary:	Rio Karma access library
Group:		System/Libraries

%description -n	%libname
Rio Karma access library.

%package -n	%develname
Summary:	Rio Karma development files
Group:		Development/C
Requires:	%libname = %version
Provides:	%name-devel = %version-%release
Obsoletes:	%name-devel < %version-%release
Obsoletes:	%{_lib}karma0-devel < %version-%release

%description -n	%develname
Rio Karma development files.


%package -n	karma-sharp
Summary:	Rio Karma C# bindings
Group:		Development/Other
Requires:	%name = %version

%description -n	karma-sharp
Rio Karma C# bindings.


%prep
%setup -q -n libkarma-%{version}
sed -i 's!gmcs!mcs!' karma-sharp/Makefile

%build
%set_build_flags
make PREFIX=$RPM_BUILD_ROOT/%_prefix

%install
mkdir -p $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT/%_prefix CHOWNPROG=/bin/true CHGRPPROG=/bin/true
perl -pi -e "s^%buildroot^^" %buildroot%_prefix/lib/pkgconfig/karma-sharp.pc
%if "%_lib" != "lib"
mv %buildroot%_prefix/lib %buildroot%_libdir
perl -pi -e "s^/lib^/%_lib^" %buildroot%_libdir/pkgconfig/karma-sharp.pc
%endif


install -m 644 -D libkarma.fdi %buildroot%_sysconfdir/hal/fdi/information/20-rio-karma.fdi
install -m 644 -D %SOURCE2 %buildroot%_sysconfdir/hal/fdi/policy/preferences.fdi
install -m 644 -D %SOURCE3 %buildroot%_datadir/icons/hicolor/32x32/devices/multimedia-player-rio-karma.png

cat > README.urpmi << EOF
For automatic mounting, add the following line to your
/etc/fstab. Otherwise gnome-volume-manager will refuse to mount the
device, as it doesn't know about the Karma's proprietary filesystem.

/dev/disk/by-id/usb-Rio_Rio_Karma_0000000000000000-part2    /media/karma    omfs    user,noauto    0   0

EOF

install -m 644 %SOURCE4 %buildroot%_libdir/karma-sharp/karma-sharp.dll.config

%files
%doc THANKS TODO README.urpmi ChangeLog
%config(noreplace) %_sysconfdir/hal/fdi/information/20-rio-karma.fdi
%config(noreplace) %_sysconfdir/hal/fdi/policy/preferences.fdi
%_bindir/riocp
%_bindir/chprop
%_mandir/man1/*.1*
%attr(4755,root,root) %_bindir/karma_helper
%_datadir/icons/hicolor/32x32/devices/multimedia-player-rio-karma.png

%files -n %libname
%_libdir/libkarma.so.%{major}*

%files -n %develname
%_includedir/*
%_libdir/libkarma.a
%_libdir/libkarma.so

%files -n karma-sharp
%_libdir/karma-sharp/*
%_libdir/pkgconfig/karma-sharp.pc


%changelog
* Fri Jul 17 2020 pterjan <pterjan> 0.1.2-12.mga8
+ Revision: 1606784
- Rebuild with silent change fixing bare word on if macro statement

* Thu Feb 13 2020 umeabot <umeabot> 0.1.2-11.mga8
+ Revision: 1514219
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 0.1.2-10.mga7
+ Revision: 1298935
- Mageia 7 Mass Rebuild

* Fri Sep 15 2017 cjw <cjw> 0.1.2-9.mga7
+ Revision: 1153949
- pass optflags to make
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Fri Dec 04 2015 tv <tv> 0.1.2-8.mga6
+ Revision: 908009
- fix finding mono4 compiler
- rebuild for mono4

* Mon Oct 19 2015 daviddavid <daviddavid> 0.1.2-7.mga6
+ Revision: 892812
- add more docs to fix build with latest rpm

* Wed Oct 15 2014 umeabot <umeabot> 0.1.2-6.mga5
+ Revision: 739457
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.2-5.mga5
+ Revision: 681548
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Sat Jul 05 2014 pterjan <pterjan> 0.1.2-4.mga5
+ Revision: 643704
- Replace libusb*-devel BuildRequires by better ones

* Fri Oct 18 2013 umeabot <umeabot> 0.1.2-3.mga4
+ Revision: 507147
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 fwang <fwang> 0.1.2-2.mga3
+ Revision: 357723
- cleanup spec
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 22 2011 kharec <kharec> 0.1.2-1.mga2
+ Revision: 112450
- update to 0.1.2

* Thu Mar 24 2011 boklm <boklm> 0.1.1-3.mga1
+ Revision: 76175
- rebuild for bug #497

* Tue Mar 15 2011 ennael <ennael> 0.1.1-2.mga1
+ Revision: 72006
- clean spec file
- imported package libkarma

